Subject: tty programming code changes
From: [email-masked] (Michael Anderson)

31 May 1997 09:46:52 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="------------2EB851BD2F4020524BC53103"
X-Mailer: Mozilla 3.01 (X11; I; Linux 2.0.12 i586)
Original-To: [email-masked]
Original-Sender: [email-masked]

This is a multi-part message in MIME format.

--------------2EB851BD2F4020524BC53103
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Attached is a tar/gzip file containing the changes I made to support tty
programming on NT. The files are:

../winsup/console.cc
../winsup/fcntl.cc
../winsup/fhandler.cc
../winsup/fhandler.h
../winsup/include/fcntl.h
../winsup/include/sys/termios.h
../winsup/path.cc
../winsup/syscalls.cc
../winsup/syscalls.h
../winsup/termios.cc

These are the entire files, not diffs (I didn't keep the originals).
Be sure to save copies of the originals before overwritng with these.

Most of the code is untested so please satisfy yourself that it works
correctly before depending on it. I am still making changes to the code
to support other features that I need in my own project. Corrections,
suggestions, and criticisms are welcome. I know almost nothing about
Win32 API, so there may be better approaches to the tty problem than the
ones in the code. In particular, I made no attempt to accomodate NT vs.
Win95 differences.

If your mailer doesn't support attachments or you can't otherwise get
the tar/gzip file, mail me and I will post the code as text in a mail
message.

Good luck,
mike Anderson
[email-masked]

--------------2EB851BD2F4020524BC53103
Content-Type: application/x-gzip; name="changes.gz"
Content-Transfer-Encoding: base64
Content-Disposition: inline; filename="changes.gz"

--------------2EB851BD2F4020524BC53103--

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".